SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Xen Vendors:   Xen Project
Xen Populate on Demand Bug Lets Local Users on a Guest System Cause Denial of Service Conditions on the Host System
SecurityTracker Alert ID:  1039878
SecurityTracker URL:  http://securitytracker.com/id/1039878
CVE Reference:   CVE-2017-17044   (Links to External Site)
Updated:  Nov 30 2017
Original Entry Date:  Nov 29 2017
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.5.x, 4.6.x, 4.7.x, 4.8.x, 4.9.x
Description:   A vulnerability was reported in Xen. A local user on the guest system can cause denial of service conditions on the host system.

A local user on the HVM guest system can trigger an error handling flaw in the processing of errors from the Populate on Demand (PoD) code to cause the system to enter an infinite loop and deny service on the host system.

x86 systems are affected. ARM systems are not affected.

Systems with 2MiB or 1GiB HAP pages enabled are affected.

Impact:   A local user on the guest system can cause denial of service conditions on the host system.
Solution:   The vendor has issued a fix (xsa246-4.7.patch, xsa246-4.9.patch, and xsa246.patch).

The vendor advisory is available at:

https://xenbits.xen.org/xsa/advisory-246.html

Vendor URL:  xenbits.xen.org/xsa/advisory-246.html (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC